package phase1;

import java.util.Random;

public class Request {
	
	//array with usernames
	public static final String[] USERS={"user1","user2","user3","user4","user5"};
	//public static final String[] USERS={"user1"};
	//array with cities
	public static final String[] CITIES={"Madrid","Barcelona","Valencia","Sevilla",
		"Bilbao","Granada","Coruna","Malaga","Alicante","Santander"};

	//a method that creates a random request
	public static Request createRandomRequest() {
			Random rn=new Random();
			int index_user=rn.nextInt(USERS.length);
			int index_o=rn.nextInt(CITIES.length);
			int index_d=rn.nextInt(CITIES.length);
			while (index_o==index_d) 
				index_d=rn.nextInt(CITIES.length);
			
			return new Request(USERS[index_user],CITIES[index_o],CITIES[index_d]);
	}
		
		
	// object's attributes
	public String username;
	public String origin;
	public String destination;
	
	public Request(String username, String origin, String destination) {
		this.username = username;
		this.origin = origin;
		this.destination = destination;
	}


	public boolean equals(Request obj) {
		
		boolean result=false;
		try {
			result= obj.username.equalsIgnoreCase(this.username) && 
					obj.origin.equalsIgnoreCase(this.origin) 
					&& obj.destination.equalsIgnoreCase(this.destination);
		} catch (Exception e) {
			//obj is null or some of the attributes are null
			result=false;
		}
		return result;
	}

	public String toString() {
		return "["+this.username+","+this.origin+","+this.destination+"]";
	}
	
}